# -*- coding: utf-8 -*-
# @Author: Gree
# @Date:   2020-12-17 13:39:53
# @Last Modified by:   Gree
# @Last Modified time: 2020-12-22 08:26:27

import datetime


class GetTime(object):
    """
    1. 该类主要用于得到目前时间，然后获取一周前、一个月前的时间点，根据前时间节点到现今的时间节点时间段，
    再通过 conn_sql.py 中 DbRun 类中的方法获取原始数据。
    """
    def __init__(self):
        self.time_now_timestamp = datetime.datetime.now()
        self.time_mid_timestamp = self.time_now_timestamp - datetime.timedelta(days=250)

    def get_time(self, days=0):
        """
        1. 该方法主要用于获取所需要的前时间节点，比如一个星期之前，或者一个月之前，形参默认值都为0。
        2. 如果该方法不传参数，采用默认值，则 time_before 和 time_now 都为空字符串。
        """
        print("Loading the module of get_time ...")
        # 捕获异常
        try:
            if days == 0:
                time_before = ''
                time_now = ''

            else:
                time_before_timestamp = self.time_now_timestamp - datetime.timedelta(days=days)
                # time_before_timestamp = self.time_mid_timestamp - datetime.timedelta(days=days)
                time_now = self.time_now_timestamp.strftime("%Y-%m-%d %H:%M:%S")
                # time_now = self.time_mid_timestamp.strftime("%Y-%m-%d %H:%M:%S")
                time_before = time_before_timestamp.strftime("%Y-%m-%d %H:%M:%S")
                time_now = "\'" + time_now + "\'"
                time_before = "\'" + time_before + "\'"

            print("The information of time is gained!")

            return (time_before, time_now)

        except Exception as e:
            print(e)




































